package com.huiju.estateagents.eContract.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.huiju.estateagents.eContract.entity.TaCompany;
import com.baomidou.mybatisplus.extension.service.IService;
import org.apache.poi.ss.formula.functions.T;

/**
 * <p>
 * 企业认证表  服务类
 * </p>
 *
 * @author fxf
 * @since 2020-03-26
 */
public interface ITaCompanyService extends IService<TaCompany> {

    /**
     * 在法大大创建一个新的企业信息
     * @return
     */
    TaCompany newFirstCompanyInfo() throws Exception;

    /**
     * 向法大大申请企业认证
     * @param taCompany
     * @return
     */
    TaCompany updateCompanyInfo(TaCompany taCompany) throws Exception;

    /**
     * 向法大大获取最新的企业认证数据
     * @param id
     * @return
     */
    TaCompany updateCompanyInfoByFdd(Integer id) throws Exception;

    String autoAuthCompanySeal(Integer companyId, Integer orgId) throws Exception;

    TaCompany getCompanyAndContractInfo(Integer companyId);

    String getAuthStatus(Integer companyId);

    IPage<TaCompany> selectListByOrgId(IPage<TaCompany> iPage, String companyName, String companyCode, Integer orgId);
}
